# Funkwhale demo

This repository contains all setup files which are required to run the demo instance at https://demo.funkwhale.audio

This repository is designed to run the demo instance internally. The configuration is quite specific for our use case. Please don't use the scripts provided to run your own instance!

## Setup

To setup the demo instance, clone this repository to `/srv/demo`. Enter the directory and execute `./update.sh`. Afterwards, run `./nuke.sh` to create an initial state with some example data. 

## Example content

We provide a catalog of music which can be used to provide some content for the demo instance. In order to use it, just clone https://dev.funkwhale.audio/funkwhale/catalog/ into this directory as well. It is expected to sit at `/srv/demo/catalog`. 

## Configuration

The main configuration happens in `.env`. The configuration provided here is setup for `demo.funkwhale.audio`, in your case you might want to adjust this.

## Automation

In order to update the instance regularly, just execute `update.sh` via cronjob.

The instance needs to be reset from time to time, in order to do this, simply run `nuke.sh` via cronjob.
